/* CSS for the account */
.acc-main {
  border-color: var(--pg1);
  border-bottom-style: solid;
  border-bottom-left-radius: 32px;
  border-bottom-right-radius: 32px;
  margin-bottom: 32px;
}

.acc-cont {
  display: inline-block;
  /*min-width: 80%;*/
}

.acc-pfp-large {}
.acc-pfp-large img {
  width: 128px;
  height: 128px;
  border-radius: 50%;
}

.acc-username {
  display: block;
  font-size: 36px;
}
.acc-catchphrase {
  display: block;
  font-size: 14px;
  text-align: left;
  font-style: italic;
}

/* fadeout */
.acc-fadeout-top {
  background: linear-gradient(
    90,
    var(--bg1-light),
    var(--bg0),
  );
  height: 64px;
}
.acc-fadeout-bot {
  height: 32px;
}

.acc-tab-btns {
  border-bottom: 1px solid var(--pg1-dark);
  margin-top: 16px;
}

.acc-tab-label {
  --acc-tab-border: var(--bg2);
  --acc-tab-width: 16px;
  --acc-tab-height: 22.5px;
  display: inline-block;
  user-select: none;

}
.acc-tab-label:hover {
  --acc-tab-border: var(--pg4);
}
.acc-tab-label:active {
  --acc-tab-border: var(--bg0-dark);
}
.acc-tab-label.active {
  --acc-tab-border: var(--bg1);
}

.acc-tab-label .l {
  display: inline-block;
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 0 0 var(--acc-tab-height) 16px;
  border-color: transparent transparent var(--acc-tab-border) transparent;
  vertical-align: bottom;
}

.acc-tab-label .c {
  display: inline-block;
  background-color: var(--acc-tab-border);
  padding: 0 8px;
  border-top: 1px solid var(--acc-tab-border);
}
.acc-tab-label.active .c {
  border-top-color: var(--pg1-dark);
}

.acc-tab-label .r {
  display: inline-block;
  width: 0;
  height: 0;
  border-style: solid;
  border-width: var(--acc-tab-height) 0 0 16px;
  border-color: transparent transparent transparent var(--acc-tab-border);
  vertical-align: bottom;
}

.acc-tab {
  background-color: var(--bg1);
  padding: 16px;
}

.acc-info-tab span {
  margin-right: 16px;
  display: inline-block;
}

.user-pastes {
  
}

/* pastes container */
.user-pastes .container {
  min-height: 256px;
  border-top: 1px var(--pg4-dark) solid;
  padding-top: 16px;
}

/* folders */
.user-pastes .folder {
  width: 33.3%;
  display: inline-block;
}
.user-pastes .folder-i {
  padding: 8px;
}
.user-pastes .folder-ii {
  background-color: var(--pastel2);
  border-radius: 8px;
  padding: 4px 12px;
}

/* files */
.user-pastes .file {
  display: inline-block;
}
.user-pastes .file-i {
  padding: 8px;
}
.user-pastes .file-ii {
  background-color: var(--pastel5);
  border-radius: 8px;
  padding: 4px 12px;
}
.user-pastes .file .descr {
  margin: 12px 0;
  font-style: italic;
  padding-left: 8px;
  border-left: 4px solid var(--pg1);
}
.user-pastes .file .tag-box {
  display: inline;
}

/* common */
.user-pastes .file .title,
.user-pastes .folder .title {
  width: calc(100% - 15px);
}

/* route */
.user-pastes #path a {
  padding: 0px 4px;
  text-decoration: none;
}
.user-pastes #path a:hover {
  text-decoration: underline;
  color: var(--txt);
}
.user-pastes #path a .route {
  color: var(--pg1);
}

.file-selected {
  border: 3px solid rgb(0, 204, 255);
}

/*
 * Account Description
*/

.acc-descr { }

.acc-descr .p-body {
  margin-top: 0;
  margin-bottom: 0;
}

.acc-descr .p-body-inner {
  background-color: unset;
  padding-top: 18px;
}

.acc-descr .sun-editor .se-wrapper .se-wrapper-inner {
  min-height: unset;
}

.acc-descr-edit {
  margin-top: 16px;
}

.acc-descr-edit .ge-editor-block {
  margin-bottom: unset;
}